List purchase invoices
Purchase invoices with supplier, amount and circulation status.
GET https://cotlet.dev/api/v1/procountor/purchase-invoices
read
Lists purchase invoices, newest first. Filter by status (received, unfinished, verified, approved, payment_denied) or set waiting_for_me to true to see only invoices waiting for your verification or approval. Approval circulation must be turned on in the company for the circulation statuses to apply.
Parameters
| Name | Type | Description |
|---|---|---|
| status string | string | received, unfinished, verified, approved or payment_denied. |
| waiting_for_me boolean | boolean | true lists only invoices waiting for your verification or approval. |
| partner_id string | string | Supplier ID from list_partners. |
| limit integer | integer | 1 to 200. Default: 50. |
| cursor string | string | Next page cursor from the previous call. |
Request
curl https://cotlet.dev/api/v1/procountor/purchase-invoices \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("procountor", "list_purchase_invoices") const result = await cotlet.call('procountor', 'list_purchase_invoices'); cotlet call procountor list_purchase_invoices Example response
{
"invoices": [
{
"invoice_id": "pi_77120",
"supplier": "Papertrail Oy",
"invoice_number": "PT-5521",
"due_date": "2026-10-30",
"total": 372,
"currency": "EUR",
"status": "received",
"waiting_for": "approval"
}
],
"next_cursor": null
}